dnsjit.filter.split(3)

NAME
dnsjit.filter.split - Passthrough to other receivers in various ways

SYNOPSIS
  local filter = require("dnsjit.filter.split").new()
  filter.receiver(...)
  filter.receiver(...)
  filter.receiver(...)
  input.receiver(filter)

DESCRIPTION
Filter to pass objects to others in various ways.

  Functions

Split.new()
    Create a new Split filter.

Split:log()
    Return the Log object to control logging of this instance or module.

Split:roundrobin()
    Set the passthrough mode to round robin (default mode).

Split:sendall()
    Set the passthrough mode to send to all receivers.

Split:receive()
    Return the C functions and context for receiving objects.

Split:receiver(o)
    Set the receiver to pass objects to, this can be called multiple times to set addtional receivers.

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net